#! /bin/csh

### comment out next two lines to run renicemapper
#echo "renicemapper: skipped"
#exit

### N.B.: this file should not be editable by users if listed in /etc/sudoers

### interface is fine at -20, fixes simultaneous download/play video
set nicelevel = -20
set pid = `ps auxwww |& grep 'mapper ' | grep -v grep | awk '{print $2}'`
if ("$pid" != "") then
  if ($#pid != 1) then
    echo "renicemapper: ### multiple processes ($pid) match 'mapper '"
    exit
  endif
  renice $nicelevel -p $pid >& /dev/null
  echo "renicemapper: mapper (pid=$pid) renice'd to $nicelevel"
else
  echo "renicemapper: mapper not running"
endif
